Sync Projects Principals

Sync Projects Principals
Sync principals assigned to any project within user organization

Sync principals assigned to any project within user organization

Request
URI
POST
https://vcfa-10-162-161-9.vcfd.broadcom.net/project-service/api/projects/{id}/sync-principals
COPY
Path Parameters
string
id
Required

The id of the project.

Query Parameters
string
apiVersion
Optional
Constraints: default: 2019-01-15

The version of the API in yyyy-MM-dd format. For versioning information refer to /project-service/api/about.


Authentication
This operation uses the following authentication methods.
Responses
200

'Success'

Returns PrincipalRole of type(s) */*
{
    "id": "c493a95e-c4d1-4496-8595-e73902701c95:fe69d7ca-40a6-4de5-8f33-d462f4656938",
    "email": "[email protected]",
    "type": "user",
    "role": "member"
}

403

Forbidden, the user lacks permissions

Operation doesn't return any data structure

404

'Not found' if no project with the provided id

Operation doesn't return any data structure

Code Samples
COPY
                    curl -X POST -H 'Authorization: <value>' https://{api_host}/project-service/api/projects/{id}/sync-principals